### Method

# Malcontent UserManager get_user_by_uid_async

since: 0.14.0

#### Declaration [src]

    void
    mct_user_manager_get_user_by_uid_async (
      MctUserManager* self,
      uid_t uid,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      void* user_data
    )

#### Description [src]

Get the user with the given `uid`.

It is not safe to call this before `mct_user_manager_load_async()` is finished.

Available since: 0.14.0

This method completes asynchronously. Use `mct_user_manager_get_user_by_uid_finish()` inside the `GAsyncReadyCallback` to obtain the result of the operation.

#### Parameters

`uid`

  Type: `uid_t`

  User ID to fetch.

`cancellable`

  Type: `GCancellable`

  A `GCancellable`, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`callback`

  Type: `GAsyncReadyCallback`

  Callback for when the operation is complete.

  The argument can be `NULL`.

`user_data`

  Type: `void*`

  Data to pass to `callback`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.